libcaca (0.99.beta19-2.1~deb9u1) stretch; urgency=medium

  * Non-maintainer upload.
  * Rebuild for stretch.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 28 Aug 2019 18:09:58 +0200

libcaca (0.99.beta19-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Cherry-Pick fixes from upstream git repository:
    - CVE-2018-20545, CVE-2018-20546, CVE-2018-20547,CVE-2018-20548 and
      CVE-2018-20549 (Closes: #917807)

 -- Tobias Frost <tobi@debian.org>  Sat, 06 Apr 2019 22:18:41 +0200

libcaca (0.99.beta19-2) unstable; urgency=medium

  * debian/patches/100_doxygen.diff: remove deprecated Doxygen variables.

 -- Sam Hocevar <sho@debian.org>  Mon, 02 Jun 2014 22:38:19 +0200

libcaca (0.99.beta19-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules: fix build stamp dependency issues (Closes: #708406).
  * debian/rules: use dh_autoreconf as recommended (Closes: #747116).
  * Acknowledge Balint Reczey’s NMU (Closes: #723642, #716985).
  * debian/caca-utils.mime: remove XBM support, cacaview doesn’t actually
    support it (Closes: #723694), and add PNM support (Closes: #724003).
  * debian/caca-utils.mime: add a runtime test for the X display to avoid
    a terminal from popping if we’re not going to need it (Closes: #724630).
  * debian/control: add DEP-8 tests courtesy of Vibhav Pant (Closes: #701682).

 -- Sam Hocevar <sho@debian.org>  Fri, 16 May 2014 18:55:36 +0200

libcaca (0.99.beta18-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Drop dependency on ruby1.8-dev (Closes: #723642)
  * Fix FTBFS due to post-processing Doxygen's output (Closes: #716985)

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 05 Feb 2014 15:03:35 +0100

libcaca (0.99.beta18-1) unstable; urgency=low

  * New upstream release.
  * Acknowledge Gregor Herrmann's NMU (Closes: #616254, #638589).
  * Add multiarch support, courtesy of William A Van Hevelingen and
    Johannes Kloos (Closes: #651009).
  * debian/control: drop the libncurses5-dev dependency in the -dev package
    (Closes: #646515).

 -- Sam Hocevar <sho@debian.org>  Fri, 06 Apr 2012 23:14:18 +0200

libcaca (0.99.beta17-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "Missing build dependancies for documentation building." and "replace
    doxygen and texlive-* build dependencies with doxygen-latex": add build
    dependency on doxygen-latex, drop doxygen and texlive-* (except
    texlive-fonts-recommended).
    Closes: #616254, #638589
    LP: #829444

 -- gregor herrmann <gregoa@debian.org>  Thu, 22 Sep 2011 17:00:24 +0200

libcaca (0.99.beta17-2) unstable; urgency=low

  * debian/rules: do no install .la files (Closes: #621583).
  * debian/compat: use debhelper 8.
  * Get rid of old dummy packages.

 -- Sam Hocevar <sho@debian.org>  Sun, 19 Jun 2011 18:52:20 +0200

libcaca (0.99.beta17-1) unstable; urgency=low

  * New upstream release.

 -- Sam Hocevar <sho@debian.org>  Mon, 08 Feb 2010 01:40:59 +0000

libcaca (0.99.beta16-3) unstable; urgency=low

  * Acknowledging NMU, thanks to Ben Hutchings (Closes: #552762, #552763).
  * debian/rules: Work around an upstream bug preventing the libcucul
    symlinks from being created if sh is bash (Closes: #558807, #561094).
  * debian/control: Set policy to 3.8.3.
  * debian/source/format: Set format to 3.0 (quilt).

 -- Sam Hocevar <sho@debian.org>  Mon, 14 Dec 2009 22:43:50 +0100

libcaca (0.99.beta16-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add symbolic links to docs from libcucul dummy packages
    (Closes: #552762, #552763).

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 29 Nov 2009 01:18:05 +0000

libcaca (0.99.beta16-2) unstable; urgency=low

  * debian/control: set debhelper dependency to 5 and policy to 3.8.2.
  * 100_huge_whatis_entry.diff: new patch from upstream SVN: fix huge manual
    page whatis entries (Closes: #456758, #509800).

 -- Sam Hocevar <sho@debian.org>  Tue, 14 Jul 2009 11:03:02 +0000

libcaca (0.99.beta16-1) unstable; urgency=high

  * New upstream release. Fixes installation of legacy <cucul.h> and merges
    back all Debian patches.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sat, 18 Oct 2008 12:45:00 +0000

libcaca (0.99.beta15-3) unstable; urgency=high

  * Set urgency to high due to RC bug fixing in the previous upload.
  * 210_pc_fix.diff: fix an infinite loop in the .pc file.
  * caca-utils.postinst, caca-utils.prerm: abort maintainer scripts on error.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Mon, 06 Oct 2008 09:45:22 +0000

libcaca (0.99.beta15-2) unstable; urgency=low

  * 010_asm_detection.diff: new patch from upstream to fix detection
    of assembly instructions (Closes: #500492).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sun, 05 Oct 2008 15:53:16 +0000

libcaca (0.99.beta15-1) unstable; urgency=low

  * New upstream release.
  * debian/control: now that libcucul was merged into libcaca, libcucul
    packages are empty.
  * debian/copyright: updated copyright information.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sat, 27 Sep 2008 16:36:40 +0000

libcaca (0.99.beta14-1) unstable; urgency=low

  * New upstream release.

  * debian/patches/100_gcc_4.3_build_fix.diff
    debian/patches/200_revert_api_breakage.diff:
    + Patches merged upstream. Dropping them.


 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sat, 05 Jul 2008 16:35:57 +0000

libcaca (0.99.beta13b-5) unstable; urgency=low

  * debian/control:
    + Build-depend on libncursesw5-dev instead of libncurses5-dev so that the
      ncurses driver works properly with UTF-8.
    + Set policy to 3.8.0. No changes required.
    + Add a Homepage: header.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed, 18 Jun 2008 15:37:39 +0000

libcaca (0.99.beta13b-4) unstable; urgency=high

  * debian/control:
    + Disable the mono-gmcs build-dependency for now. C# bindings are not
      shipped yet.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sun, 16 Dec 2007 12:12:29 +0100

libcaca (0.99.beta13b-3) unstable; urgency=low

  * debian/rules:
    + Build with --disable-csharp due to a weird gmcs crash.

  * debian/control:
    + Set policy to 3.7.3.

  * debian/patches/100_gcc_4.3_build_fix.diff:
    + New patch. Add missing #include <cstring> to fix gcc-3.4 FTBFS
      (Closes: #456074).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 14 Dec 2007 16:01:40 +0000

libcaca (0.99.beta13b-2) unstable; urgency=low

  * debian/patches/200_revert_api_breakage.diff:
    + Revert upstream API breakage or software in Debian will FTBFS.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sat, 01 Dec 2007 15:08:12 +0000

libcaca (0.99.beta13b-1) unstable; urgency=low

  * New upstream release.

  * debian/control:
    + Do not build-depend on the whole texlive suite, but on more fine-grained
      packages. Thanks to Norbert Preining for the hints (latex -recorder, then
      inspect the .fls file).
  * Ship libcaca++, libcucul++ and their development files.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sun, 25 Nov 2007 19:08:40 +0000

libcaca (0.99.beta12.debian-3) unstable; urgency=low

  * debian/control:
    + Build-depend on texlive instead of all the other texlive-* packages so
      that we have the proper fonts at build time (Closes: #445797).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sat, 13 Oct 2007 20:10:44 -0400

libcaca (0.99.beta12.debian-2) unstable; urgency=low

  * Use quilt in the build process.

  * debian/patches/010_show_latex_log_on_error.diff:
    + Output refman.log if refman.tex fails to build for whatever reason.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sun, 07 Oct 2007 20:45:59 +0000

libcaca (0.99.beta12.debian-1) unstable; urgency=low

  * New upstream release.
    + This release fixes a bug in ANSI import that was mistakenly ignoring
      \r control characters (Closes: #438370).

  * debian/control:
    + Changed the tetex build-dependencies into texlive build-dependencies.
    + Replaced ${Source-Version} with ${source:Version} and ${binary:Version}.

  * debian/rules:
    + Don’t ignore make distclean failures.
    + Removed old toilet build rules.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sun, 30 Sep 2007 14:28:35 +0000

libcaca (0.99.beta11.debian-3) unstable; urgency=high

  * debian/control:
    + Removed spurious Conflicts: figlet.
    + Removed mention of TOIlet in the long description.
    + Added Vcs fields.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue, 03 Apr 2007 00:48:13 +0200

libcaca (0.99.beta11.debian-2) unstable; urgency=high

  * Remove toilet from caca-utils now that it has entered testing.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sun,  3 Dec 2006 02:05:11 +0100

libcaca (0.99.beta11.debian-1) unstable; urgency=high

  * New upstream release.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu, 16 Nov 2006 17:29:27 +0100

libcaca (0.99.beta10.debian-1) unstable; urgency=high

  * New upstream release.
  * cacafire and cacademo now quit on C-c or C-z (Closes: #398085).
  * toilet, cacaserver, cacaplay and img2irc now have proper manual pages
    (Closes: #397524).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sun, 12 Nov 2006 19:26:26 +0100

libcaca (0.99.beta9.debian2-2) unstable; urgency=high

  * debian/rules:
    + Fix an FTBFS by setting PKG_CONFIG_PATH to the current build directory.
  * debian/control:
    + Drop the build-dependency on ourselves.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue,  7 Nov 2006 19:46:21 +0100

libcaca (0.99.beta9.debian2-1) unstable; urgency=high

  * New tarball, includes more fonts.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Mon,  6 Nov 2006 19:06:26 +0100

libcaca (0.99.beta9.debian-1) unstable; urgency=high

  * New upstream release.
  * debian/control:
    + Build-depend on libcucul-dev in order to build TOIlet.
    + Mention TOIlet in the caca-utils description.
    + Suggest figlet so that we can use its fonts, but conflict with its older
      versions because of the alternative system.
  * debian/caca-utils.postinst debian/caca-utils.prerm:
    + Add an alternative for figlet, with a lower priority because we do not
      support all of FIGlet's options yet.
  * debian/rules:
    + Added toilet build rules.
    + Bumped shlibs versioning because of new functions in libcucul.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Mon,  6 Nov 2006 00:50:57 +0100

libcaca (0.99.beta8-3) unstable; urgency=high

  * debian/control:
    + Build-depend on pkg-config because the imlib2 test now requires it.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Mon, 23 Oct 2006 09:05:38 +0200

libcaca (0.99.beta8-2) unstable; urgency=low

  * debian/control:
    + Build-depend on freeglut3-dev instead of xlibmesa-gl-dev to fix build.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Mon, 23 Oct 2006 00:11:32 +0200

libcaca (0.99.beta8-1) unstable; urgency=high

  * New upstream release.

  * debian/rules:
    + Build the X11 and GL drivers as plugins so that we no longer depend
      on libx11 or libGL (Closes: #289677).
    + Bumped shlibs due to new symbols in the library.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sun, 22 Oct 2006 23:34:48 +0200

libcaca (0.99.beta7-1) unstable; urgency=high

  * New minor upstream release.
  * Set urgency to high so as not to delay packages waiting for us.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed,  4 Oct 2006 14:17:14 +0200

libcaca (0.99.beta6-1) unstable; urgency=low

  * New upstream release.
  * This release's cacafire and cacademo only display the "Powered by libcaca"
    banner for a few seconds (Closes: #389628).

  * debian/control:
    + Have the -dev packages depend on the newest runtime version.
    + Clarify the libcucul-dev long description.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sat, 30 Sep 2006 20:43:50 +0200

libcaca (0.99.beta5-1) unstable; urgency=low

  * New upstream release.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sat, 23 Sep 2006 10:16:29 +0200

libcaca (0.99.beta4-1) unstable; urgency=low

  * New upstream release.

  * Upstream added a compatibility layer for the older API. To use it, just
    add the following three lines after the usual #include <caca.h>:

      #include <caca.h>
      #ifdef CACA_API_VERSION_1
      #   include <caca0.h>
      #endif

    (Closes: #385174).

  * caca-config now only outputs required libraries and does not clutter the
    build with libcaca's dependencies (Closes: #385076).

  * Upstream fixed manpage links (Closes: #379770).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sat,  9 Sep 2006 20:00:40 +0200

libcaca (0.99.beta3-1) unstable; urgency=low

  * New upstream release.
  * Upload to unstable.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 25 Aug 2006 12:32:48 +0200

libcaca (0.99.beta2-2) experimental; urgency=low

  * Switched to non-native packaging.
  * debian/control:
    + Properly make the -dev packages depend on their corresponding runtime
      library.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sun, 25 Jun 2006 19:14:01 +0200

libcaca (0.99.beta2-1) experimental; urgency=low

  * New upstream release.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Mon, 29 May 2006 00:04:08 +0200

libcaca (0.9-6) unstable; urgency=low

  * Maintainer upload.
  * Acknowledging previous NMU (Closes: #349790). Thanks to Don Armstrong.
  * debian/control:
    + Set policy to 3.7.2.
  * configure.ac:
    + Work around AC_PATH_X not setting ${x_libraries} to avoid build
      failures (Closes: #268651, #367854).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 19 May 2006 03:08:53 -0500

libcaca (0.9-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Hard-code cacaview_LDFLAGS = -lImlib2 instead of using the output of
    imlib2-config which is incorrect for GNU/* systems using dynamic
    linking. (Closes: #349790)
  * Add AM_MAINTAINER_MODE to configure.ac as well, to avoid build-time
    regeneration of autotools files.
  * Fix syntax errors in doc/Makefile.am that aren't accepted by current
    automake-1.7
  * Thanks to Steve Langasek for the above patches

 -- Don Armstrong <don@debian.org>  Sun, 19 Feb 2006 01:46:44 -0800

libcaca (0.9-5) unstable; urgency=low

  * debian/control:
    + Build-depend on libslang2-dev instead of slang1-dev (Closes: #315234).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu, 23 Jun 2005 22:46:20 +0200

libcaca (0.9-4) unstable; urgency=low

  * debian/control:
    + Build-depend on libxt-dev because autoconf's AC_PATH_X needs it to find
      the X headers (Closes: #266070).
    + Set policy to 3.6.1.1.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue, 17 Aug 2004 13:29:58 +0200

libcaca (0.9-3) unstable; urgency=low

  * doc/Makefile.am:
    + Work around doxygen's new behaviour of storing .3caca manpages in the
      man3caca directory instead of man3 (Closes: #250602).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu, 27 May 2004 18:08:43 -0300

libcaca (0.9-2) unstable; urgency=low

  * debian/control:
    + Depend on libx11-dev instead of xlibs-dev.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Mon, 15 Mar 2004 16:48:19 +0100

libcaca (0.9-1) unstable; urgency=low

  * New upstream release.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Mon,  2 Feb 2004 03:50:43 +0100

libcaca (0.8-2) unstable; urgency=low

  * src/caca.c src/event.c src/graphics.c:
    + Include <ncurses.h> instead of <curses.h> to fix m68k FTBFS.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Mon, 26 Jan 2004 11:47:32 +0100

libcaca (0.8-1) unstable; urgency=low

  * New upstream release.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sun, 18 Jan 2004 05:19:23 +0100

libcaca (0.7-1) unstable; urgency=low

  * New upstream release.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed,  7 Jan 2004 19:16:19 +0100

libcaca (0.6-1) unstable; urgency=low

  * New upstream release.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sat,  3 Jan 2004 23:59:08 +0100

libcaca (0.5-1) unstable; urgency=low

  * New upstream release.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu, 25 Dec 2003 22:34:51 +0100

libcaca (0.4-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Build-depend on doxygen and tetex to build documentation.
    + Build-depend on xlibs-dev and slang1-dev to provide alternate drivers.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue, 23 Dec 2003 18:01:41 +0100

libcaca (0.3-2) unstable; urgency=low

  * debian/rules:
    + Moved cacafire to the caca-utils package.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu, 18 Dec 2003 10:32:19 +0100

libcaca (0.3-1) unstable; urgency=low

  * New upstream release.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu, 18 Dec 2003 01:38:17 +0100

libcaca (0.2-2) unstable; urgency=low

  * First Debian upload (Closes: #222753).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu,  4 Dec 2003 17:57:46 +0100

libcaca (0.2-1) unstable; urgency=low

  * New upstream release.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sun, 30 Nov 2003 17:38:23 +0100

libcaca (0.1-1) unstable; urgency=low

  * Initial release.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sat, 22 Nov 2003 14:00:18 +0100

